Bug 210101 - security/keepassx2: Remove wrongly used PLIST_SUB from pkg-plist
Summary: security/keepassx2: Remove wrongly used PLIST_SUB from pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-06-07 15:54 UTC by Tobias Berner
Modified: 2016-06-09 13:29 UTC (History)
2 users (show)

See Also:
eric: maintainer-feedback+


Attachments
s#%%QT_BINDIR%%#bin#g (383 bytes, patch)
2016-06-07 15:54 UTC, Tobias Berner
eric: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Berner 2016-06-07 15:54:10 UTC
Created attachment 171150 [details]
s#%%QT_BINDIR%%#bin#g

security/keepassx2 uses the substitution %%QT_BINDIR%% [=relative path to Qt binaries] by mistake.
The attached patch replaces this everywhere by "bin".
Comment 1 Eric Camachat 2016-06-07 22:31:30 UTC
Looks good, thank you!
Comment 2 VK freebsd_triage 2016-06-07 23:49:11 UTC
Comment on attachment 171150 [details]
s#%%QT_BINDIR%%#bin#g

Please flag the patch too, so the PR appears in the "maintainer approved" saved search.
Comment 3 Eric Camachat 2016-06-08 00:12:29 UTC
Comment on attachment 171150 [details]
s#%%QT_BINDIR%%#bin#g

Looks good.
Comment 4 Tilman Keskinoz freebsd_committer 2016-06-09 13:28:25 UTC
committed, thanks
Comment 5 commit-hook freebsd_committer 2016-06-09 13:29:05 UTC
A commit references this bug:

Author: arved
Date: Thu Jun  9 13:28:15 UTC 2016
New revision: 416602
URL: https://svnweb.freebsd.org/changeset/ports/416602

Log:
  Fix wrongly use of QT_BINDIR PLIST_SUB

  PR:		210101
  Submitted by:	Tobias Berner
  Approved by:	maintainer

Changes:
  head/security/keepassx2/Makefile
  head/security/keepassx2/pkg-plist